MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
TextFile Class Reference

`#include <TextFile.hxx>`

## Public Member Functions
| TextFile (Path path_fs)
| TextFile (const TextFile &other)=delete
| ~TextFile ()
char * | ReadLine ()
| Reads a line from the input file, and strips trailing space. More...

## Detailed Description

Definition at line 31 of file TextFile.hxx.

## Constructor & Destructor Documentation

TextFile::TextFile | ( | Path | path_fs | ) |
| explicit

TextFile::TextFile | ( | const TextFile & | other | ) |
| delete

TextFile::~TextFile | ( |  | ) |

## Member Function Documentation

char* TextFile::ReadLine | ( |  | ) |

Reads a line from the input file, and strips trailing space.

There is a reasonable maximum line length, only to prevent denial of service.

Returns
  a pointer to the line, or nullptr on end-of-file

The documentation for this class was generated from the following file:

- fs/io/TextFile.hxx